## net-snmp 5.9+dfsg

=== dist/Makefile ===
# ======================================================================
# $Source$
# $Revision$
# $Date$
# $Author$
# $Name$
# $State$
# ======================================================================

# Makefile for generating rpm package files (.rpm) for net-snmp.

# GNU 'make'-specific features are used in this makefile.
# Other makes may or may not work with it.
# See http://www.gnu.org/manual/make/index.html for details.

SHELL = /bin/sh

# Define the RPM package name
NAME = net-snmp

# Define the default RPM release number. Set by Version-Munge.pl
VERSION = 5.9

VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`

WITH_PERL=1
EMBED_PERL=1

# Define the RPM architecture, i.e., 'ppc', 'i386', etc.
ARCH = `uname -i`

# Directory structure expected by 'rpm' program
RPM_BASE := $(PWD)/rpm

RPM_TREE := \
    $(RPM_BASE)/BUILD \
    $(RPM_BASE)/RPMS \
    $(RPM_BASE)/SOURCES \
    $(RPM_BASE)/SPECS \
    $(RPM_BASE)/SRPMS

.PHONY:	all clean rpm_files binary_rpm source_rpm all_rpm

all:	all_rpm_files

# Delete all generated files.
clean:
	rm -rf $(RPM_BASE)

# --------------------------------------------------------------------
# Macros and rules for updating net-snmp-x.x.x.tar.gz.
# 'rpm' expects a compressed archive (.tar.gz) of the source directory
# to exist (in the rpm/SOURCES directory) before it is run.
# --------------------------------------------------------------------
CVSROOT = :pserver:anonymous@net-snmp.cvs.sourceforge.net:/cvsroot/net-snmp

PKG_VER := $(NAME)-$(VERSION)

GZIP_TAR := $(RPM_BASE)/SOURCES/$(PKG_VER).tar.gz

gzip_tar:	$(GZIP_TAR)

$(GZIP_TAR):
	@echo "Creating a compressed archive of the package's source files..."
	(cd $(RPM_BASE)/SOURCES; \
	cvs -d$(CVSROOT) login; \
	cvs -z3 -d$(CVSROOT) export -r$(VERSION_TAG) $(NAME); \
	mv $(NAME) $(PKG_VER); \
	tar cf $(PKG_VER).tar $(PKG_VER); \
	gzip $(PKG_VER).tar)
	@echo "A compressed archive of the package's source-file tree has been created."

# --------------------------------------------------------------------
# Macros and rules for updating the binary and source RPM package files.
# --------------------------------------------------------------------
# Redefine '%_topdir' to allow an RPM package file to be built anywhere,
# instead of in the /usr/src/redhat directory tree.
#
# Don't want 'rpmbuild' to strip your executable programs?
# Then add this line:
#   --define='_os_install_post /usr/lib/rpm/brp-compress' \
# to the RPM_OPTS macro definition.  This will eliminate the 
# stripping of binaries, but still retain the compression of
# manual pages.
#
ifeq ($(WITH_PERL),0)
PERLOPTS = --without perl_modules
endif
ifeq ($(EMBED_PERL),0)
PERLOPTS += --without embedded_perl
endif

RPM_OPTS := \
    --define='_topdir $(RPM_BASE)' \
    --define='_includedir /usr/include/net-snmp' \
    --target $(ARCH) $(PERLOPTS)

SPEC_FILE  := $(NAME).spec
RPM_SPEC   := $(RPM_BASE)/SPECS/$(SPEC_FILE)

BINARY_RPM := $(RPM_BASE)/RPMS/$(ARCH)/$(PKG_VER)-$(RELEASE).$(ARCH).rpm
SOURCE_RPM := $(RPM_BASE)/SRPMS/$(PKG_VER)-$(RELEASE).src.rpm

rpm_files:	$(GZIP_TAR) all_rpm_files
binary_rpm:	$(BINARY_RPM)
source_rpm:	$(SOURCE_RPM)
rpm_tree: $(RPM_TREE)

all_rpm_files:	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -ba $(RPM_OPTS) $(SPEC_FILE))

$(BINARY_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bb $(RPM_OPTS) $(SPEC_FILE))

$(SOURCE_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bs $(RPM_OPTS) $(SPEC_FILE))

$(RPM_SPEC):	$(RPM_BASE)/SPECS $(SPEC_FILE)
	cp $(SPEC_FILE) $@

$(RPM_TREE):
	mkdir -p $@

$(SPEC_FILE):
	@echo "ERROR: missing '$(SPEC_FILE)' in the current directory"
	@exit 1

FORCE:

# === End of Makefile === #

=== debian/changelog ===
net-snmp (5.9+dfsg-4+deb11u1) bullseye-security; urgency=high

  * Backport upstream security patches from v5.9.3 Closes: #1016139
  * snmpd_fix_bounds_checking: CVE-2022-24805, CVE-2022-24809
  * snmpd_recover_set_status: CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
    CVE-2022-24810

 -- Craig Small <csmall@debian.org>  Mon, 15 Aug 2022 20:12:22 +1000

net-snmp (5.9+dfsg-3) unstable; urgency=medium

  * Source only upload - no changes Closes: #970798

 -- Craig Small <csmall@debian.org>  Fri, 25 Sep 2020 09:10:00 +1000

net-snmp (5.9+dfsg-2) unstable; urgency=medium

  * Move SNMP.3pm back to perl package Closes: #969436
  * Moved snmptrapd library into its own package to not pull in mysql
    dependencies for snmp/snmpd Closes: #953948

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2020 21:52:58 +1000

net-snmp (5.9+dfsg-1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Link libnetsnmptrapd against MYSQL_LIBS
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: When building
      with MySQL (MariaDB) support, this library must be linked against the
      MySQL client library, or else it will have unresolved symbols.
    (Closes: #886221)

  [ Craig Small ]
  * New upstream release
  * Removed patches included in upstream
  * Library soname changed to 40
  * Remove dbg packages, no need to migrate as new soname

 -- Craig Small <csmall@debian.org>  Sat, 22 Aug 2020 17:11:17 +1000

=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Uploaders: Craig Small <csmall@debian.org>,
 Thomas Anders <tanders@users.sourceforge.net>,
 Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 12),
 libtool, libwrap0-dev, libssl-dev, perl:any (>=5.8), perl-xs-dev,
 autoconf, automake, debianutils (>=1.13.1),
 bash (>=2.05), findutils (>=4.1.20), procps,
 pkg-config,
 libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
 libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
 libsensors-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 default-libmysqlclient-dev, libpci-dev
Build-Conflicts: libsnmp-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
Vcs-Browser: https://salsa.debian.org/debian/net-snmp
Homepage: http://net-snmp.sourceforge.net/

Package: snmpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Breaks: libsnmp-dev (<< 5.8+dfsg-3)
Replaces: libsnmp-dev (<< 5.8+dfsg-3)
Suggests: snmptrapd
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.

Package: snmptrapd
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
Breaks: snmp (<< 5.7.3+dfsg-2)
Replaces: snmp (<< 5.7.3+dfsg-2)
Description: Net-SNMP notification receiver
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 snmptrapd is an SNMP application (daemon) that receives and logs SNMP TRAP
 and INFORM messages.

Package: snmp
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Architecture: all
Replaces: snmp (<< 5.7.3+dfsg-5)
Breaks: snmp (<< 5.7.3+dfsg-5)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Multi-Arch: foreign
Description: SNMP configuration script, MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes documentation and MIBs (Management Information Bases)
 for the SNMP libraries, agents and applications. MIBs contain a formal
 description of the data that can be managed using SNMP and applications.
 .
 NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
 description, you need to activate the non-free repository and install the
 "snmp-mibs-downloader" package.

Package: libsnmp40
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.

Package: libnetsnmptrapd40
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base 
Breaks: libsnmp40 (<= 5.9+dfsg-1)
Replaces: libsnmp40 (<= 5.9+dfsg-1)
Description: SNMP (Simple Network Management Protocol) trap library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP trap library contains functions for receiving SNMP
 trap and inform messages.

Package: libsnmp-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: libc6-dev, libsnmp40 (=${binary:Version}), libnetsnmptrapd40 (=${binary:Version}),
         libwrap0-dev, libssl-dev, procps,
         libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
         libpci-dev
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, net-snmp-config scripts and documentation needed for development
 of custom SNMP applications.

Package: libsnmp-perl
Section: perl
Architecture: any
Breaks: libsnmp-dev (= 5.9+dfsg-1)
Replaces: libsnmp-dev (= 5.9+dfsg-1)
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.

Package: tkmib
Architecture: all
Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) MIB browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP MIB (Management Information Base) Browser provides a
 graphical frontend for the Net-SNMP tools. It can be used to browse
 the MIB tree and interactively send requests to SNMP agents.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIB_VERSION = 40

MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
EXCL_MIB_MODULES = 

MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"

ifeq (linux,$(DEB_BUILD_ARCH_OS))
MIB_MODULES += ucd-snmp/diskio ucd-snmp/lmsensorsMib etherlike-mib/dot3StatsTable
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
else
ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
CFLAGS += $(shell pkg-config --cflags libbsd-overlay)
LDFLAGS += $(shell pkg-config --libs libbsd-overlay)
endif
endif
ifeq (hurd,$(DEB_BUILD_ARCH_OS))
EXCL_MIB_MODULES += mibII
else
MIB_MODULES += host
endif

%:
	dh $@

# The net-snmp Makefiles cannot handle parallel builds
override_dh_auto_build:
	dh_auto_build --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
	  --with-persistent-directory=/var/lib/snmp \
	  --enable-ucd-snmp-compatibility \
	  --with-cflags="$(CFLAGS) -DNETSNMP_USE_INLINE" \
	  --with-ldflags="$(LDFLAGS)" \
	  --with-perl-modules="INSTALLDIRS=vendor" --enable-as-needed \
	  --with-logfile=none \
	  --without-rpm --with-libwrap --with-openssl \
	  --without-dmalloc --without-efence --without-rsaref \
	  --with-sys-contact="root" --with-sys-location="Unknown" \
	  --with-mib-modules="$(MIB_MODULES)" \
	  --with-out-mib-modules="$(EXCL_MIB_MODULES)" \
	  --with-transports="TLSTCP DTLSUDP" \
	  --with-security-modules="tsm" \
	  --enable-mfd-rewrites \
	  --with-mnttab=/etc/mtab \
	  --with-mibdirs="\$$HOME/.snmp/mibs:$(MIBS_DIR)" \
	  --with-mysql \
	  --with-defaults
# --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet

override_dh_clean:
	dh_clean
	rm -rf `find . -name .libs` \
	       dist/generation-scripts/gen-variables \
	       perl/SNMP/t/snmptest.cmd \
	       perl/TrapReceiver/const-c.inc \
	       perl/TrapReceiver/const-xs.inc

override_dh_makeshlibs:
	dh_makeshlibs -plibsnmp$(LIB_VERSION) -VUpstream-Version
	dh_makeshlibs -plibnetsnmptrapd$(LIB_VERSION) -VUpstream-Version

override_dh_install-arch:
	dh_install

override_dh_installdocs:
	dh_installdocs -plibsnmp-perl -ptkmib -plibsnmp-base -plibsnmp$(LIB_VERSION)
	dh_installdocs --link-doc=libsnmp$(LIB_VERSION) \
		       -plibsnmp-dev \
		       -plibnetsnmptrapd$(LIB_VERSION) \
		       -psnmpd \
		       -psnmptrapd \
		       -psnmp

override_dh_fixperms-arch:
	dh_fixperms
	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf

override_dh_auto_test:
	# prevent test since it fails with network configuration under pbuilder/etc.
	true

override_dh_installsystemd:
	dh_installsystemd -psnmptrapd --no-enable --no-start
	dh_installsystemd -Nsnmptrapd

override_dh_installinit:
	dh_installinit -psnmptrapd --no-enable --no-start
	dh_installinit -Nsnmptrapd

## net-snmp 5.9.1%2Bdfsg

=== agent/mibgroup/tcp-mib/data_access/Makefile ===
top_srcdir	:= ../../../..

CC	:= gcc
CFLAGS	:= -g -DNETSNMP_TCPCONN_TEST \
	-I$(top_srcdir)/agent/mibgroup/ip-mib/data_access \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/agent/mibgroup

OBJS = tcpConn_common.o tcpConn_linux.o

NETSNMPDIR=$(top_srcdir)
NETSNMPCONFIG=$(NETSNMPDIR)/net-snmp-config
NETSNMPBASELIBS := $(shell $(NETSNMPCONFIG) --base-agent-libs)
NETSNMPEXTLIBS := $(shell $(NETSNMPCONFIG) --external-agent-libs)
NETSNMPLIBDIRS := $(shell $(NETSNMPCONFIG) --build-lib-dirs $(NETSNMPDIR))
NETSNMPLIBDEPS := $(shell $(NETSNMPCONFIG) --build-lib-deps $(NETSNMPDIR))
LIB_DEPS=$(NETSNMPLIBDEPS)
LIBS=$(NETSNMPLIBDIRS) -Wl,-Bstatic $(NETSNMPBASELIBS) -Wl,-Bdynamic $(NETSNMPEXTLIBS)

TARGET	:= tcpConn_test

test: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(TARGET) $(LIBS)

clean:
	rm $(OBJS) $(TARGET)

## net-snmp 5.9.1+dfsg

=== debian/changelog ===
net-snmp (5.9.1+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:33:00 +0100

net-snmp (5.9.1+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946877, #1912390). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/lp1945960-*: backport patches for the OpenSSL3 transition
      (LP #1945960)
  * Dropped changes, incorporated by Debian:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.
  * Dropped changes, incorporated upstream:
    - Fix segmentation fault when certificate contains extension
      longer than 512 bytes (LP #1912389)
      + d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
        Skip certificate if loading fails.
      + d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
        Make sure enough space is allocated for extensions longer than
        512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jan 2022 20:39:24 -0500

net-snmp (5.9.1+dfsg-1) unstable; urgency=medium

  [ Owen Evans ]
  * Enable Blumenthal AES-192 and AES-256 encryption Closes: #972985

  [ Ferenc Wágner ]
  * Enable systemd integration and UDP socket activation
    Closes: #985369

  [ Sergio Durigan Junior ]
  * d/libsnmp-dev.install: Don't install archive (.a) files.
    The archive files are just temporary files generated in order to
    create the final shared objects (.so), and we don't need to ship them
    in the package.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Vagrant Cascadian ]
  * Embed path to ps and uname. Closes: #978598

  [ Craig Small ]
  * Make the perl agent code more tolerant of perl types, thanks
    to Guillem Jover for the patch Closes: #977573
  * Make CI files use correct libmariadb-dev package names
    Closes: #975477
  * mib2c: Add recommends and fix error message Closes: #990706

  * Add configuration directory for snmpd
  * New upstream release
  * Add Recommends: procps for snmpd Closes: #993997

 -- Craig Small <csmall@debian.org>  Mon, 20 Sep 2021 21:35:58 +1000

net-snmp (5.9+dfsg-3ubuntu4) jammy; urgency=medium

  * d/p/lp1945960-*: backport patches for the OpenSSL3 transition
    (LP: #1945960)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 17 Nov 2021 14:58:54 +0100

net-snmp (5.9+dfsg-3ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:20 +0200

net-snmp (5.9+dfsg-3ubuntu2) impish; urgency=medium

  * Fix segmentation fault when certificate contains extension
    longer than 512 bytes (LP: #1912389)
    - d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
      Skip certificate if loading fails.
    - d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
      Make sure enough space is allocated for extensions longer than
      512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 May 2021 19:03:31 -0400

net-snmp (5.9+dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
  * Dropped:
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch:
      Link libnetsnmptrapd against MYSQL_LIBS. Thanks to Adam
      Williamson <awilliam@redhat.com>.
      (Closes #886221, LP #1814254)
      [ Incorporated by Debian. ]
    - Fix build with mysql-8 (LP #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use
        char instead.
      [ Incorporated by upstream. ]
    - Skip autofs entries when calling statfs to prevent autofs
      being mounted on snmpd startup (LP #1835818):
      + d/p/autofs-fix-a-recently-introduced-bug.patch
      + d/p/autofs-skip-autofs-entries.patch
      [ Incorporated by upstream. ]
    - d/p/fix-check-hr-filesys-autofs.patch:
      + On Linux getmntent() is available but getfsstat() not.
        Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
        check.
      [ Incorporated by upstream. ]
  * Added changes:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 05 Jan 2021 14:54:24 -0500

net-snmp (5.8+dfsg-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:50:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LIB_VERSION = 40
 
 MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
-EXCL_MIB_MODULES = 
+EXCL_MIB_MODULES =
 
 MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"
 
@@ -28,7 +28,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with apport
 
 # The net-snmp Makefiles cannot handle parallel builds
 override_dh_auto_build:
@@ -53,6 +53,10 @@
 	  --with-mnttab=/etc/mtab \
 	  --with-mibdirs="\$$HOME/.snmp/mibs:$(MIBS_DIR)" \
 	  --with-mysql \
+	  --with-systemd \
+	  --enable-blumenthal-aes \
+	  UNAMEPROG=/bin/uname \
+	  PSPROG=/bin/ps \
 	  --with-defaults
 # --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet
 
@@ -85,14 +89,14 @@
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
+.PHONY: override_dh_apport
+override_dh_apport:
+	dh_apport -psnmpd
+
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
 
-override_dh_installsystemd:
-	dh_installsystemd -psnmptrapd --no-enable --no-start
-	dh_installsystemd -Nsnmptrapd
-
 override_dh_installinit:
 	dh_installinit -psnmptrapd --no-enable --no-start
 	dh_installinit -Nsnmptrapd

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://sf.net/net-snmp/net-snmp-([\d+\.]+|\d+)\.tar\.gz debian uupdate

## net-snmp 5.9.3+dfsg

=== debian/changelog ===
net-snmp (5.9.3+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Closes: #1025922
    + Initialize architecture variables.
    + Fix build vs host confusion.
    + Use the host architecture pkg-config.
    + export a PERL5LIB for cross building.
    + cross.patch: Pass PERL5LIB along.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2.
  * Use secure URI in Homepage field.

  [ Craig Small ]
  * Remove email list from maintainers
  * Add patch agent_set_null_varbind Closes: #1024020 fixes:
    + CVE-2022-44792 NULL Pointer Exception when handling ipDefaultTTL
    + CVE-2022-44793 NULL Pointer Exception when handling pv6IpForwarding

 -- Craig Small <csmall@debian.org>  Tue, 03 Jan 2023 13:01:46 +1100

net-snmp (5.9.3+dfsg-1) unstable; urgency=medium

  * New upstream source
  * Remove patch Link-libnetsnmptrapd-against-MYSQL_LIBS

 -- Craig Small <csmall@debian.org>  Mon, 18 Jul 2022 21:28:38 +1000

net-snmp (5.9.1+dfsg-4) unstable; urgency=medium

  * d/snmpd.postinst: Just chown $SNMP_DIR/snmpd.conf if the file exists.
    (Closes: #1012693)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 11 Jun 2022 17:35:00 -0400

net-snmp (5.9.1+dfsg-3) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Fix FTBFS when compiling against OpenSSL 3.0.
    - d/p/Fix-the-build-against-OpenSSL-3.0.patch: Fix FTBFS when
      compiling against OpenSSL 3.0.
    - d/p/configure-static-linking-Fix-SSL-checks.patch: Fix SSL configure
      checks. (Closes: #1006511)
  * d/snmpd.service: Start the service after network-online.target.
    Closes: #1001268

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update renamed lintian tag names in lintian overrides.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bash, debianutils, findutils
      and perl.
    + snmpd: Drop versioned constraint on lsb-base in Depends.
    + snmptrapd: Drop versioned constraint on snmp in Replaces.
    + snmptrapd: Drop versioned constraint on snmp in Breaks.
    + snmp: Drop versioned constraint on libsnmp-base in Depends.
    + libsnmp-base: Drop versioned constraint on snmp in Replaces.
    + libsnmp-base: Drop versioned constraint on snmp in Breaks.

  [ Craig Small ]
  * Update to Debian standard 4.6.1, no change

 -- Craig Small <csmall@debian.org>  Sat, 11 Jun 2022 15:31:19 +1000

net-snmp (5.9.1+dfsg-2) unstable; urgency=medium

  * Fix path for net-snmp-create-v3-user Closes: #997895
  * Use pidof for net-snmp-create-v3-user so don't need procps
  * Make snmpd.conf group readable Closes: #998152
  * Reapplied perl callback patch Closes: #1011440

 -- Craig Small <csmall@debian.org>  Wed, 25 May 2022 22:09:23 +1000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
-Uploaders: Craig Small <csmall@debian.org>,
- Thomas Anders <tanders@users.sourceforge.net>,
- Noah Meyerhans <noahm@debian.org>
+Maintainer: Craig Small <csmall@debian.org>
 Build-Depends: debhelper-compat (= 12),
- libtool, libwrap0-dev, libssl-dev, perl:any (>=5.8), perl-xs-dev,
- autoconf, automake, debianutils (>=1.13.1),
- bash (>=2.05), findutils (>=4.1.20), procps,
+ libtool, libwrap0-dev, libssl-dev, perl:any, perl-xs-dev,
+ autoconf, automake, procps,
  pkg-config,
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  default-libmysqlclient-dev, libpci-dev
 Build-Conflicts: libsnmp-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
 Vcs-Browser: https://salsa.debian.org/debian/net-snmp
-Homepage: http://net-snmp.sourceforge.net/
+Homepage: https://net-snmp.sourceforge.net/
 
 Package: snmpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base, libsnmp-base
 Breaks: libsnmp-dev (<< 5.8+dfsg-3)
 Replaces: libsnmp-dev (<< 5.8+dfsg-3)
 Suggests: snmptrapd
@@ -39,8 +35,6 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
-Breaks: snmp (<< 5.7.3+dfsg-2)
-Replaces: snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -52,7 +46,7 @@
 Package: snmp
 Architecture: any
 Recommends: perl
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -64,8 +58,6 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: snmp (<< 5.7.3+dfsg-5)
-Breaks: snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -102,7 +94,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base 
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
 Breaks: libsnmp40 (<= 5.9+dfsg-1)
 Replaces: libsnmp40 (<= 5.9+dfsg-1)
 Description: SNMP (Simple Network Management Protocol) trap library
@@ -121,6 +113,7 @@
          libwrap0-dev, libssl-dev, procps,
          libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
          libpci-dev
+Recommends: libsnmp-perl
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 LIB_VERSION = 40
 
@@ -11,24 +12,28 @@
 
 MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"
 
-ifeq (linux,$(DEB_BUILD_ARCH_OS))
+ifeq (linux,$(DEB_HOST_ARCH_OS))
 MIB_MODULES += ucd-snmp/diskio ucd-snmp/lmsensorsMib etherlike-mib/dot3StatsTable
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
 else
-ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
+ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
-CFLAGS += $(shell pkg-config --cflags libbsd-overlay)
-LDFLAGS += $(shell pkg-config --libs libbsd-overlay)
+CFLAGS += $(shell $(PKG_CONFIG) --cflags libbsd-overlay)
+LDFLAGS += $(shell $(PKG_CONFIG) --libs libbsd-overlay)
 endif
 endif
-ifeq (hurd,$(DEB_BUILD_ARCH_OS))
+ifeq (hurd,$(DEB_HOST_ARCH_OS))
 EXCL_MIB_MODULES += mibII
 else
 MIB_MODULES += host
 endif
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+export PERL5LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(shell perl -MConfig -e 'print $$Config{version}')
+endif
+
 %:
-	dh $@ --with apport
+	dh $@
 
 # The net-snmp Makefiles cannot handle parallel builds
 override_dh_auto_build:
@@ -87,11 +92,7 @@
 override_dh_fixperms-arch:
 	dh_fixperms
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
-	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
-
-.PHONY: override_dh_apport
-override_dh_apport:
-	dh_apport -psnmpd
+	chmod 640 debian/snmpd/etc/snmp/snmp*d.conf
 
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.

=== debian/tests/control ===
# Test for perl module
Test-Command: perl -MSNMP -e1
Restrictions: superficial

Tests: trap
Restrictions: needs-root, isolation-container

## net-snmp 5.9.4+dfsg

=== debian/changelog ===
net-snmp (5.9.4+dfsg-2) unstable; urgency=medium

  * Update systemstats_linux to get expected header length Closes: #1069087
  * Library names cannot be changed due to freeze.

 -- Craig Small <csmall@debian.org>  Tue, 06 May 2025 21:20:52 +1000

net-snmp (5.9.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064249

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:43:19 +0000

net-snmp (5.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * snmpd: Remove dependency to lsb-base
  * postinst use chown user:group Closes: #1032201, #1027809

 -- Craig Small <csmall@debian.org>  Sat, 19 Aug 2023 19:36:39 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
  libtool, libwrap0-dev, libssl-dev, perl:any, perl-xs-dev,
  autoconf, automake, procps,
  pkg-config,
@@ -19,7 +19,7 @@
 Package: snmpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base, libsnmp-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, libsnmp-base
 Breaks: libsnmp-dev (<< 5.8+dfsg-3)
 Replaces: libsnmp-dev (<< 5.8+dfsg-3)
 Suggests: snmptrapd
@@ -74,7 +74,10 @@
  description, you need to activate the non-free repository and install the
  "snmp-mibs-downloader" package.
 
-Package: libsnmp40
+Package: libsnmp40t64
+Provides: ${t64:Provides}
+Replaces: libsnmp40
+Breaks: libsnmp40 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -89,14 +92,15 @@
  sending, receiving, decoding, and manipulation of the SNMP requests
  and responses.
 
-Package: libnetsnmptrapd40
+Package: libnetsnmptrapd40t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
-Breaks: libsnmp40 (<= 5.9+dfsg-1)
-Replaces: libsnmp40 (<= 5.9+dfsg-1)
+Breaks: libnetsnmptrapd40 (<< ${source:Version}), libsnmp40t64 (<= 5.9+dfsg-1)
+Replaces: libnetsnmptrapd40, libsnmp40t64 (<= 5.9+dfsg-1)
 Description: SNMP (Simple Network Management Protocol) trap library
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -109,7 +113,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: libc6-dev, libsnmp40 (=${binary:Version}), libnetsnmptrapd40 (=${binary:Version}),
+Depends: libc6-dev, libsnmp40t64 (=${binary:Version}), libnetsnmptrapd40t64 (=${binary:Version}),
          libwrap0-dev, libssl-dev, procps,
          libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
          libpci-dev

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildtools.mk
 
-LIB_VERSION = 40
+LIB_VERSION = 40t64
 
 MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
 EXCL_MIB_MODULES =

## net-snmp 5.9.5.2+dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 NAME = net-snmp
 
 # Define the default RPM release number. Set by Version-Munge.pl
-VERSION = 5.9
+VERSION = 5.9.5.2
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`

=== debian/changelog ===
net-snmp (5.9.5.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Prevent exporting -Werror=declaration-after-statement to reverse
    dependencies Closes: #1124246

 -- Bastian Germann <bage@debian.org>  Fri, 09 Jan 2026 19:03:29 +0100

net-snmp (5.9.5.2+dfsg-2) unstable; urgency=medium

  * libsnmp-dev now depends on libnl-route-3-dev Closes: #1124219
  * Add autopkgtest for above

 -- Craig Small <csmall@debian.org>  Tue, 30 Dec 2025 09:59:12 +1100

net-snmp (5.9.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Fixed a critical vulnerability in snmptrapd triggered by a specially
      crafted trap CVE-2025-68615 Closes: #1123861
  * Remove patches linux_systemstats as upstream applied
  * Library, soname 40 -> 45
  * Updated example snmpd.conf

 -- Craig Small <csmall@debian.org>  Wed, 24 Dec 2025 17:25:02 +1100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
  libtool, libwrap0-dev, libssl-dev, perl:any, perl-xs-dev,
- autoconf, automake, procps,
- pkg-config,
- libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
- libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
- libsensors-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev
+ autoconf, automake, procps, pkgconf,
+ libbsd-dev [kfreebsd-any],
+ libkvm-dev [kfreebsd-any],
+ libsensors-dev [linux-any],
+ default-libmysqlclient-dev, libpci-dev,
+ libnl-route-3-dev
 Build-Conflicts: libsnmp-dev
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
@@ -20,8 +20,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, libsnmp-base
-Breaks: libsnmp-dev (<< 5.8+dfsg-3)
-Replaces: libsnmp-dev (<< 5.8+dfsg-3)
 Suggests: snmptrapd
 Description: SNMP (Simple Network Management Protocol) agents
  The Simple Network Management Protocol (SNMP) provides a framework
@@ -74,10 +72,7 @@
  description, you need to activate the non-free repository and install the
  "snmp-mibs-downloader" package.
 
-Package: libsnmp40t64
-Provides: ${t64:Provides}
-Replaces: libsnmp40
-Breaks: libsnmp40 (<< ${source:Version})
+Package: libsnmp45
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -92,15 +87,12 @@
  sending, receiving, decoding, and manipulation of the SNMP requests
  and responses.
 
-Package: libnetsnmptrapd40t64
-Provides: ${t64:Provides}
+Package: libnetsnmptrapd45
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
-Breaks: libnetsnmptrapd40 (<< ${source:Version}), libsnmp40t64 (<= 5.9+dfsg-1)
-Replaces: libnetsnmptrapd40, libsnmp40t64 (<= 5.9+dfsg-1)
 Description: SNMP (Simple Network Management Protocol) trap library
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -113,10 +105,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: libc6-dev, libsnmp40t64 (=${binary:Version}), libnetsnmptrapd40t64 (=${binary:Version}),
+Depends: libc6-dev, libsnmp45 (=${binary:Version}), libnetsnmptrapd45 (=${binary:Version}),
          libwrap0-dev, libssl-dev, procps,
          libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
-         libpci-dev
+         libpci-dev, libnl-route-3-dev
 Recommends: libsnmp-perl
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildtools.mk
 
-LIB_VERSION = 40t64
+LIB_VERSION = 45
 
 MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
 EXCL_MIB_MODULES =

=== debian/tests/control ===
# Test for perl module
Test-Command: perl -MSNMP -e1
Restrictions: superficial

# This no longer works and does not read the configuration file
#Tests: trap
#Restrictions: needs-root, isolation-container

Tests: build-agent
Depends: build-essential, libsnmp-dev
